All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview
Interface TableRowRenderer

All Known Implementing Classes:
  BaseTableRow, DefaultTableRowRenderer, DefaultTableRowRenderer, DefaultTableRowRenderer

    public interface TableRowRenderer

This interface defines the methods required by any object that would like to renderer the begin and end row tags for a TableView. It generates the begin and end row tags in the appropriate markup language.

For example, in HTML the table row renderer would generate `<TR ... >` and `</TR>` as its begin and end row tags

Method Summary
`java.util.Locale` | `getLocale()` Gets the locale.
`void` | `setLocale(java.util.Locale loc)` Sets the locale.
`void` | `writeBeginRow(AbstractBaseTableView tableview, java.io.PrintWriter out)` Writes the begin row tag for a TableView in the appropriate markup language into the given output writer.
`void` | `writeEndRow(AbstractBaseTableView tableview, java.io.PrintWriter out)` Writes the end row tag for a TableView in the appropriate markup language into the given output writer.

Method Detail

### writeBeginRow

    void writeBeginRow(AbstractBaseTableView tableview,
                       java.io.PrintWriter out)
                       throws java.io.IOException

  Writes the begin row tag for a TableView in the appropriate markup language into the given output writer.

  For example, in html this method would generate `<TR attr1="" ...>`.

  Parameters:
    `tableview` - instance of the tableview
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### writeEndRow

    void writeEndRow(AbstractBaseTableView tableview,
                     java.io.PrintWriter out)
                     throws java.io.IOException

  Writes the end row tag for a TableView in the appropriate markup language into the given output writer.

  For example, in html this method would generate `</TR>`.

  Parameters:
    `tableview` - instance of the tableview
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### setLocale

    void setLocale(java.util.Locale loc)

  Sets the locale.

  Parameters:
    `loc` - an instance of java.util.Locale

### getLocale

    java.util.Locale getLocale()

  Gets the locale.

  Returns:
    an instance of java.util.Locale

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.